Elements of the error message include:

Your database table name will prepend <table>.INET6_NTOA

A Database Error Occurred

Filename: libraries/datamapper.php

Error Number: 1305
Line Number: 1346

arpReach v2 introduces IPv6 support for the purposes of geo-location.

IPv6 support was never included nor will it be added into MySQL 5.5.x


MySQL should be updated to at least MySQL 5.6.3
(or MariaDB 10.0.12 + )